# pcre2_match_context_free man page

Return to the PCRE2 index page.

This page is part of the PCRE2 HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.
SYNOPSIS

#include <pcre2.h>

void pcre2_match_context_free(pcre2_match_context *mcontext);

DESCRIPTION

This function frees the memory occupied by a match context, using the memory freeing function from the general context with which it was created, or free() if that was not set.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.

Return to the PCRE2 index page.